org.apache.tinkerpop.gremlin.structure.io

## Interface IoRegistry

- All Known Implementing Classes:
    AbstractIoRegistry

      public interface IoRegistry

  A generalized custom serializer registry for providers implementing a `Graph`. Providers should develop an implementation of this interface if their implementation requires custom serialization of identifiers or other such content housed in their graph. Consider extending from `AbstractIoRegistry` and ensure that the implementation has a zero-arg constructor or a static "instance" method that returns an `IoRegistry` instance, as implementations may need to be constructed from reflection given different parts of the TinkerPop stack.

  The serializers to register depend on the `Io` implementations that are expected to be supported. There are currently two core implementations in `GryoIo` and `GraphSONIo`. Both of these should be supported for full compliance with the test suite.

  There is no need to use this class if the `Graph` does not have custom classes that require serialization.
  Author:
    Stephen Mallette (http://stephen.genoprime.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IO_REGISTRY`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.javatuples.Pair<Class,Object>>` | `find(Class<? extends Io> builderClass)` Find a list of all the serializers registered to an `Io` class by the `Graph`.
    `<S> List<org.javatuples.Pair<Class,S>>` | `find(Class<? extends Io> builderClass, Class<S> serializerType)` Find a list of all the serializers, of a particular type, registered to an `Io` class by the `Graph`.

- - ### Field Detail

    - #### IO_REGISTRY

          static final String IO_REGISTRY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### find

          List<org.javatuples.Pair<Class,Object>> find(Class<? extends Io> builderClass)

      Find a list of all the serializers registered to an `Io` class by the `Graph`.

    - #### find

          <S> List<org.javatuples.Pair<Class,S>> find(Class<? extends Io> builderClass,
                                                      Class<S> serializerType)

      Find a list of all the serializers, of a particular type, registered to an `Io` class by the `Graph`.

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.